Linked by Thom Holwerda on Sat 15th May 2010 19:23 UTC
OSNews, Generic OSes There's one complaint we here at OSNews get thrown in our faces quite often: what's up with the lack of, you know, operating system news on OSNews? Why so much mobile phone news? Why so much talk of H264, HTML5, and Flash? Where's the juicy news on tomorrow's operating systems? Since it's weekend, I might as well explain why things are the way they are. Hint: it has nothing to do with a lack of willingness.
Thread beginning with comment 425116
To view parent comment, click here.
To read all comments associated with this story, please click here.
bryanv
Member since:
2005-08-26

None of the computers that would run BeOS on PPC came with OS 9 pre-installed.

They all came with (at most) 8.1 or 8.6 (by the time 8.1 was out, the G3 was the top-dog, and it wouldn't boot the BeOS)

So you didn't have to 'go backwards' in OS version unless you upgraded your old Mac's OS. Admittedly something most of us did. Personally, I never ran 9.x on my 7600. It didn't have anything I really needed. 8.6 was plenty for me.

So yeah, you had to have a PCI based PPC prior to the G3 (PPC 750) processor / motherboard designs, and you had to have MacOS between 7.5.3 and 8.6

That's so hard to keep straight.

There was the extension that would boot BeOS during startup, and there was a Launcher application that would do it after MacOS had already loaded.

As for the R5 release: Be, Inc. had pledged support for PPC through the R5 release of BeOS. They never planned on continuing support beyond that release, and all signs (and everything the guys that worked there told me) pointed to PPC being -gone- in the next release. Everything was x86. There were a lot of kernel changes / enhancements waiting for PPC support to be dropped. The PPC release was harder to obtain than it was to actually use, and PE never had a PPC build available.

I can't say I blame them, they were trying to get rid of having to support the PPC.

Reply Parent Score: 2